### Method

# Ide DebuggerBreakpoint get_file

#### Declaration

    const gchar*
    ide_debugger_breakpoint_get_file (
      IdeDebuggerBreakpoint* self
    )

#### Description

Gets the file that contains the breakpoint. This may be `NULL`, particularly if the breakpoint does not exist with in a known file, such as at a memory address.

Available since: | 3.32

Gets property | `Ide.DebuggerBreakpoint:file`

#### Return value

Returns: | `const gchar*`
| The file containing the breakpoint, or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.